HEX
Server: LiteSpeed
System: Linux ip-172-31-76-142.ec2.internal 4.14.158-129.185.amzn2.x86_64 #1 SMP Tue Dec 24 03:15:32 UTC 2019 x86_64
User: 69b4844ae61d4e92bf26ad98af552775 (1065)
PHP: 7.2.27
Disabled: exec,passthru,shell_exec,system,eval
Upload Files
File: //usr/share/doc/perl-HTTP-Tiny-0.033/eg/mirror.pl
#!/usr/bin/perl

use strict;
use warnings;

use HTTP::Tiny;

my $url  = shift(@ARGV) || 'http://example.com';
my $file = shift(@ARGV) || 'example.output'; 

my $response = HTTP::Tiny->new->mirror($url, $file);

print "$response->{status} $response->{reason}\n";

while (my ($k, $v) = each %{$response->{headers}}) {
    for (ref $v eq 'ARRAY' ? @$v : $v) {
        print "$k: $_\n";
    }
}